can't install update and upgrade

Asked by Oscar M. Olaguera on 2008-02-04

dpkg was interrupted you must manually run 'dpkg --configure -a' to solve the problem (can't install update)
E: cache > failed please report
Unable to get exclusive lock (can't upgrade)

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu dpkg Edit question
Assignee:
No assignee Edit question
Solved by:
Olivier
Solved:
Last query:
Last reply:

This question was originally filed as bug #188995.

Revision history for this message
Oscar M. Olaguera (osmacol-1527-hotmail) said :
#1

Please do something about this problem ASAP

Revision history for this message
Ralph Janke (txwikinger) said :
#2

Thank you for taking the time to report this issue and helping to make Ubuntu better. Examining the information you have given us, this does not appear to be a bug report and subsequently we are closing it and converting it to a question in the support tracker. We appreciate the difficulties you are facing, but it would make more sense to raise problems you are having in the support tracker at https://answers.launchpad.net/ubuntu if you are uncertain if they are bugs. For help on reporting bugs, see https://help.ubuntu.com/community/ReportingBugs .

Revision history for this message
Ralph Janke (txwikinger) said :
#3

Do you have any more than one application running that uses dpkg?

Revision history for this message
Bhavani Shankar (bhavi) said :
#4

Also did you try to install anything from synaptic?

Revision history for this message
Best Olivier (olivier-lacroix) said :
#5

Hi !

just open a terminal and do as it says : enter the following command

sudo dpkg --configure -a

enter your password, hit enter. You're done.

Revision history for this message
Oscar M. Olaguera (osmacol-1527-hotmail) said :
#6

I followed your instruction and it solved my problem, thank you very much!